Summary: cern-config-keytab wraps the kas extraction routines to acquire keytabs and place them in the file specified. Whether keys for both CERN domains will be acquired depends on the presence of the cern-kerberos-migration rpm.
Name:  cern-config-keytab
Version: 1
Release: 46.cern
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: John Hefferman  <John.Hefferman@cern.ch>
Vendor: CERN, http://cern.ch/linux
Group: Networking/misc
BuildArch: noarch

Requires: arc >= 44-38
Requires: krb5-workstation
# to satisfy ncm-srvtab
Provides: /usr/bin/cern-config-srvtab
Provides: /usr/bin/cern-config-keytab

Source0: %{name}-%{version}.tgz

%description

please provide desscription

%prep

%setup


%install

# Build install tree
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m 0555 cern-config-keytab $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
ln -s %{_bindir}/cern-config-keytab cern-config-srvtab

%clean
echo "Cleaning $RPM_BUILD_ROOT"
[ "$RPM_BUILD_ROOT" != "/" -a "x%{debugspec}" != "x1" ] && \
	rm -fr $RPM_BUILD_ROOT


%files
%defattr(0555,root,root)
%{_bindir}/cern-config-srvtab
%{_bindir}/cern-config-keytab

%changelog
* Wed Feb  03 2011 John Hefferman <john.hefferman@cern.ch> -1.46
- Fix for redhat release check
* Wed Jan  19 2011 John Hefferman <john.hefferman@cern.ch> -1.45
- -b option added for dual-boot computers. Along with server changes, allows for a plaintext machine password to be returned along with the keytab.
- Improved error messages
- Added timeout on verify arc command where previously missing
* Mon Dec  13 2010 John Hefferman <john.hefferman@cern.ch> - 1.43
- Slc6 specific changes: different mit directory and chcon commands if OS is 6
- Reduced verbose debugging
- Stopped script from dying on keytab extraction failure so installations will continue (keytab can be acquired later)
- Using lxkerb alias instead of single server
- Added timeout on arc commands. It is 300 seconds for both. arc client might be waiting a long time when the server is under stress, so timeout has to be large.
- Added retry on extraction in case it fails due to segmentation problem (short term solution)
* Fri Oct  27 2010 John Hefferman <john.hefferman@cern.ch> - 1.42
- Small bug with keytab verification, was failing due to delay in Domain Controller replication.
* Fri Oct  27 2010 John Hefferman <john.hefferman@cern.ch> - 1.41
- Added additional logging to verify the status of the keytabs after the script is ran
* Tue Oct  26 2010 John Hefferman <john.hefferman@cern.ch> - 1.40
- -x option added for acquiring new keys regardless of validity
- Bug fix for SLC4 freezing problem on msktutil writes
- Script now only warns if 'secondary keytab' is not acquired successfully, instead of dying
- Temp files cleaned up
* Fri Oct  8 2010 John Hefferman <john.hefferman@cern.ch> - 1.39
- cern-config-keytab changed to perform a 'round robin' on available domain controllers for keytab extraction and verification
* Fri Oct  8 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.38
- cern-config-keytab now has it's own package
